summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-10-19 18:14:03 +0200
committerJustin Lecher <jlec@gentoo.org>2015-10-19 18:29:11 +0200
commit3ee7bff4696dc78534eecb2ae36d901a194bf331 (patch)
tree53dbcbd7afd555dfe5e5441081f2d3e96bd7f806 /dev-python/serpent
parentdev-python/vcrpy: Version Bump (diff)
downloadgentoo-3ee7bff4696dc78534eecb2ae36d901a194bf331.tar.gz
gentoo-3ee7bff4696dc78534eecb2ae36d901a194bf331.tar.bz2
gentoo-3ee7bff4696dc78534eecb2ae36d901a194bf331.zip
dev-python/serpent: Add python3.5 support
Package-Manager: portage-2.2.23 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'dev-python/serpent')
-rw-r--r--dev-python/serpent/serpent-1.11.ebuild12
1 files changed, 10 insertions, 2 deletions
diff --git a/dev-python/serpent/serpent-1.11.ebuild b/dev-python/serpent/serpent-1.11.ebuild
index 483d33ab226..559ec68a0ab 100644
--- a/dev-python/serpent/serpent-1.11.ebuild
+++ b/dev-python/serpent/serpent-1.11.ebuild
@@ -3,15 +3,23 @@
# $Id$
EAPI=5
-PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
inherit distutils-r1
DESCRIPTION="A simple serialization library based on ast.literal_eval"
-HOMEPAGE="https://pypi.python.org/packages/source/s/serpent/"
+HOMEPAGE="https://pypi.python.org/pypi/serpent https://github.com/irmen/Serpent"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
IUSE=""
+
+# not bundled
+RESTRICT="test"
+
+python_test() {
+ ${PYTHON} -bb test_serpent.py || die
+}